Bug 90873 - Kernel hang, TearFree On, Mate desktop environment
Summary: Kernel hang, TearFree On, Mate desktop environment
Status: RESOLVED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Radeon (show other bugs)
Version: unspecified
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Default DRI bug account
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-06-05 16:25 UTC by Tom
Modified: 2015-06-18 19:37 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
dmesg (64.03 KB, text/plain)
2015-06-05 16:25 UTC, Tom
no flags Details
xorg (52.34 KB, text/plain)
2015-06-05 16:25 UTC, Tom
no flags Details
xorg.conf (92 bytes, text/plain)
2015-06-05 16:26 UTC, Tom
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tom 2015-06-05 16:25:24 UTC
Created attachment 116320 [details]
dmesg

Hello,

I experience GPU hang while TearFree option is on. Logs are in the attachments. Without TearFree option is okay. I've tested TearFree when this feature was introduced in git version of xf86-video-ati-git and I didn't experience GPU hang back then.

GPU: Radeon 7790
OS: Arch Linux, latest RC version kernel
mesa-git, llvm-svn, xf86-video-ati-git
Desktop environment: Mate 1.8


Best regards
Comment 1 Tom 2015-06-05 16:25:46 UTC
Created attachment 116321 [details]
xorg
Comment 2 Tom 2015-06-05 16:26:04 UTC
Created attachment 116322 [details]
xorg.conf
Comment 3 Michel Dänzer 2015-06-06 03:37:28 UTC
(In reply to Tom from comment #0)
> I experience GPU hang while TearFree option is on.

Does it hang when you do anything in particular?

FWIW, this line in dmesg is probably related:

[  141.232226] radeon 0000:01:00.0: bo ffff8804236d3400 va 0x0000001000 conflict with (bo ffff88042a018800 0x0000001000 0x0000001563)

but I'm not sure what would cause that.


> I've tested TearFree when this feature was introduced in git version of
> xf86-video-ati-git and I didn't experience GPU hang back then.

Can you try isolating the xf86-video-ati commit introducing the hang with git bisect?
Comment 4 Tom 2015-06-06 08:41:30 UTC
(In reply to Michel Dänzer from comment #3)
> (In reply to Tom from comment #0)
> > I experience GPU hang while TearFree option is on.
> 
> Does it hang when you do anything in particular?
> 
> FWIW, this line in dmesg is probably related:
> 
> [  141.232226] radeon 0000:01:00.0: bo ffff8804236d3400 va 0x0000001000
> conflict with (bo ffff88042a018800 0x0000001000 0x0000001563)
> 
> but I'm not sure what would cause that.
> 
> 
> > I've tested TearFree when this feature was introduced in git version of
> > xf86-video-ati-git and I didn't experience GPU hang back then.
> 
> Can you try isolating the xf86-video-ati commit introducing the hang with
> git bisect?

I investigated it a bit. When I start lightdm it starts fine. I've created new linux user without any desktop config and it desktop env started also ok. Then I've changed resolution using desktop environment tool and then problem appeared. The same happened when used xrandr.
Comment 5 Michel Dänzer 2015-06-11 09:51:53 UTC
http://lists.freedesktop.org/archives/dri-devel/2015-June/084514.html fixes the hang for me (not a GPU hang but a kernel hang, because it tries to lock a mutex that's already locked).


> [  141.232226] radeon 0000:01:00.0: bo ffff8804236d3400 va 0x0000001000
> conflict with (bo ffff88042a018800 0x0000001000 0x0000001563)

These still happen, but at least with GNOME it continues working for me somehow. I tried various workarounds for this in the Xorg driver, but I haven't found anything that avoids these. I think the proper solution for these would be for the kernel driver to track GPU VA ranges per GEM handle instead of per BO.
Comment 6 Tom 2015-06-18 19:37:01 UTC
(In reply to Michel Dänzer from comment #5)
> http://lists.freedesktop.org/archives/dri-devel/2015-June/084514.html fixes
> the hang for me (not a GPU hang but a kernel hang, because it tries to lock
> a mutex that's already locked).
> 
> 
> > [  141.232226] radeon 0000:01:00.0: bo ffff8804236d3400 va 0x0000001000
> > conflict with (bo ffff88042a018800 0x0000001000 0x0000001563)
> 
> These still happen, but at least with GNOME it continues working for me
> somehow. I tried various workarounds for this in the Xorg driver, but I
> haven't found anything that avoids these. I think the proper solution for
> these would be for the kernel driver to track GPU VA ranges per GEM handle
> instead of per BO.

The latest patch applied to linux kernel rc8 fixed this issue, thanks.
Comment 7 Tom 2015-06-18 19:37:56 UTC
Resolved in kernel 4.1-rc8


bug/show.html.tmpl processed on Jan 18, 2017 at 01:46:18.
(provided by the Example extension).